<ui:composition 
    template="/WEB-INF/templates/interno/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	
	<ui:define name="inform">
	  <h1>
				Dashboard <small>Panel de controle</small>
			</h1>
			<h:panelGroup id="myDashBoard" class="breadcrumb">
			    
				<ol class="breadcrumb">

					<li><a href="index.jsf"><i class="fa fa-dashboard"></i>
							Home</a></li>

					<li class="active">SmartPet</li>

				</ol>

			</h:panelGroup> 
	</ui:define>


	<ui:define name="content">
      <h:form>
            <div class="panel panel-primary">     
                <div class="panel-body" style="height: 70%;position: absolute;overflow-y: scroll">
                    <div class="row">
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-yellow">
                                <div class="inner">
                                    <h3>#{countPage.actorCount}</h3>
                                    <p>Actors</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-star"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/actor/index','Actor List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-aqua">
                                <div class="inner">
                                    <h3>#{countPage.addressCount}</h3>
                                    <p>Addresses</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-paper-airplane"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/address/index','Address List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-blue">
                                <div class="inner">
                                    <h3>#{countPage.categoryCount}</h3>
                                    <p>Categories</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-clipboard"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/category/index','Category List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-danger">
                                <div class="inner">
                                    <h3>#{countPage.cityCount}</h3>
                                    <p>Cities</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-document-text"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/city/index','City List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-fuchsia">
                                <div class="inner">
                                    <h3>#{countPage.countryCount}</h3>
                                    <p>Countries</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-stats-bars"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/country/index','Country List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-gray">
                                <div class="inner">
                                    <h3>#{countPage.customerCount}</h3>
                                    <p>Customers</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-stats-bars"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/customer/index','Customer List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-green">
                                <div class="inner">
                                    <h3>#{countPage.filmActorCount}</h3>
                                    <p>Film Actors</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-users"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/filmActor/index','Film Actor List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-light-blue">
                                <div class="inner">
                                    <h3>#{countPage.filmCategoryCount}</h3>
                                    <p>Film Categories</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-stats-bars"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/filmCategory/index','Film Category List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-maroon">
                                <div class="inner">
                                    <h3>#{countPage.filmCount}</h3>
                                    <p>Films</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-image"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/film/index','Film List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-navy">
                                <div class="inner">
                                    <h3>#{countPage.inventoryCount}</h3>
                                    <p>Inventories</p>
                                </div>
                                <div class="icon" style="color: white">
                                    <i class="ion ion-stats-bars"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/inventory/index','Inventory List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-olive">
                                <div class="inner">
                                    <h3>#{countPage.languageCount}</h3>
                                    <p>Languages</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-language"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/language/index','Language List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-orange">
                                <div class="inner">
                                    <h3>#{countPage.filmTextCount}</h3>
                                    <p>Film Text</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-comments-o"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/filmText/index','Film Text List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-primary">
                                <div class="inner">
                                    <h3>#{countPage.paymentCount}</h3>
                                    <p>Payments</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-cash"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/payment/index','Payment List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-purple">
                                <div class="inner">
                                    <h3>#{countPage.rentalCount}</h3>
                                    <p>Rentals</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-stats-bars"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/rental/index','Rental List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-red">
                                <div class="inner">
                                    <h3>#{countPage.staffCount}</h3>
                                    <p>Staffs</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-person-stalker"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/staff/index','Staff List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                        <div class="col-lg-3 col-xs-6">
                            <div class="small-box bg-teal">
                                <div class="inner">
                                    <h3>#{countPage.storeCount}</h3>
                                    <p>Stores</p>
                                </div>
                                <div class="icon">
                                    <i class="fa fa-cubes"></i>
                                </div>
                                <p:commandLink class="small-box-footer" action="#{menuController.setPage('/store/index','Store List')}" update="myPanel,myDashBoard"  onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                                    <i class="fa fa-arrow-circle-right"></i> More info
                                </p:commandLink>
                            </div>
                        </div> 
                    </div>
                </div>
            </div>
        </h:form>

	</ui:define>

</ui:composition>
